ExternalPolynomialConsumerWrapper Class Reference
Inheritance diagram for ExternalPolynomialConsumerWrapper:

## Public Member Functions

| ExternalPolynomialConsumerWrapper (Frobby::PolynomialConsumer *consumer, size_t varCount)
virtual void | consumeRing (const VarNames &names)
virtual void | beginConsuming ()
virtual void | consume (const mpz_class &coef, const Term &term, const TermTranslator &translator)
virtual void | consume (const mpz_class &coef, const vector< mpz_class > &term)
virtual void | doneConsuming ()
Public Member Functions inherited from CoefBigTermConsumer
virtual void | consume (const mpz_class &coef, const Term &term)
virtual void | consume (const BigPolynomial &poly)
Public Member Functions inherited from CoefTermConsumer
virtual | ~CoefTermConsumer ()
virtual void | consume (const Polynomial &poly)

## Private Attributes

Frobby::PolynomialConsumer * | _consumer
size_t | _varCount

## Additional Inherited Members

Protected Member Functions inherited from ConsumerWrapper
| ConsumerWrapper (size_t varCount)
virtual | ~ConsumerWrapper ()
void | setTerm (const Term &term, const TermTranslator &translator)
void | setTerm (const vector< mpz_class > &term)
Protected Attributes inherited from ConsumerWrapper
size_t | _varCount
mpz_ptr * | _term

## Detailed Description

Definition at line 110 of file frobby.cpp.

## Constructor & Destructor Documentation

## ExternalPolynomialConsumerWrapper()

ExternalPolynomialConsumerWrapper::ExternalPolynomialConsumerWrapper | ( | Frobby::PolynomialConsumer * | consumer,
|  | size_t | varCount )

inline

Definition at line 113 of file frobby.cpp.

## Member Function Documentation

## beginConsuming()

virtual void ExternalPolynomialConsumerWrapper::beginConsuming | ( |  | ) |

inline virtual

Implements CoefBigTermConsumer.

Definition at line 125 of file frobby.cpp.

## consume() [1/2]

virtual void ExternalPolynomialConsumerWrapper::consume | ( | const mpz_class & | coef,
|  | const Term & | term,
|  | const TermTranslator & | translator )

inline virtual

Implements CoefBigTermConsumer.

Definition at line 129 of file frobby.cpp.

## consume() [2/2]

virtual void ExternalPolynomialConsumerWrapper::consume | ( | const mpz_class & | coef,
|  | const vector< mpz_class > & | term )

inline virtual

Implements CoefBigTermConsumer.

Definition at line 139 of file frobby.cpp.

## consumeRing()

virtual void ExternalPolynomialConsumerWrapper::consumeRing | ( | const VarNames & | names | ) |

inline virtual

Implements CoefBigTermConsumer.

Definition at line 121 of file frobby.cpp.

## doneConsuming()

virtual void ExternalPolynomialConsumerWrapper::doneConsuming | ( |  | ) |

inline virtual

Implements CoefBigTermConsumer.

Definition at line 152 of file frobby.cpp.

## Member Data Documentation

## _consumer

Frobby::PolynomialConsumer* ExternalPolynomialConsumerWrapper::_consumer

private

Definition at line 157 of file frobby.cpp.

## _varCount

size_t ExternalPolynomialConsumerWrapper::_varCount

private

Definition at line 158 of file frobby.cpp.

The documentation for this class was generated from the following file:

- src/frobby.cpp